#
# spec file for package xpilot (Version 4.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  rplay xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rplay rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xpilot
Copyright:    GPL
Group:        X11/Games/Video
Provides:     xpilot32
Autoreqprov:  on
Version:      4.4.1
Release:      56
Summary:      A multiplayer arcade game
Url:          http://www.xpilot.org/
Source:       ftp://ftp.xpilot.org/pub/xpilot/xpilot-%{version}.tar.bz2
Source1:      ftp://ftp.xpilot.org/pub/xpilot/sounds/new-sounds.tar.bz2
Patch:        xpilot-%{version}.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
A shoot'em up which can be played by several players in a
network. Please note that you have to start the server (xpilots)
before starting the client (xpilot, plus the name of the computer
which runs the server). Several maps can be found in
/usr/X11R6/lib/xpilot/maps/
Doku: /usr/share/doc/packages/xpilot

Authors:
--------
    Bjoern Stabell <bjoern@xpilot.org>
    Ken Ronny Schouten <ken@xpilot.org>
    Bert Gijsbers <bert@xpilot.org>
    Dick Balaska <dick@xpilot.org>

SuSE series: fun

%prep
%setup -a 1
%patch

%build
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
#
make DESTDIR="$RPM_BUILD_ROOT" install
make DESTDIR="$RPM_BUILD_ROOT" install.man
#
cp -a sound $RPM_BUILD_ROOT/usr/X11R6/lib/xpilot
rm -rf doc/{man,{M,Im}akefile}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/*
%doc /usr/X11R6/man/man6/*
/usr/X11R6/bin/*
%dir /usr/X11R6/lib/xpilot/
/usr/X11R6/lib/xpilot/sound/
/usr/X11R6/lib/xpilot/textures/
/usr/X11R6/lib/xpilot/maps/
%config /usr/X11R6/lib/xpilot/defaults
%config /usr/X11R6/lib/xpilot/robots
%config /usr/X11R6/lib/xpilot/sounds

%changelog -n xpilot
* Thu Aug 16 2001 - pmladek@suse.cz
- updated to version 4.4.1
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Fri Apr 06 2001 - nadvornik@suse.cz
- update to 4.3.1
* Tue Mar 27 2001 - nadvornik@suse.cz
- fixed sound support
* Wed Feb 07 2001 - uli@suse.de
- fixed for glibc 2.2.1
* Mon Nov 06 2000 - vinil@suse.cz
- upgraded to 4.3.0
- file location unified under /usr/X11R6
* Thu May 18 2000 - vinil@suse.cz
- /usr/doc -> /usr/share/doc
- sorted in group
* Thu Mar 30 2000 - vinil@suse.cz
- update to version 4.2.1
* Fri Mar 24 2000 - vinil@suse.cz
- update to version 4.2.0
- sound scheme upgraded
* Fri Mar 10 2000 - cihlar@suse.cz
- added BuildRoot
- documentation only in /usr/doc/packages/xpilot/
* Tue Oct 26 1999 - ro@suse.de
-generated diff and re-fetched src-tar
-no precompiled object-files allowed
-where did these sounds come from ?
* Fri Oct 22 1999 - freitag@suse.de
- update to version 4.1.0 - with rplay sound support
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Nov 05 1997 - ro@suse.de
- fixed stuff under doc/packages
* Mon Oct 06 1997 - rj@suse.de
- new version 3.6.2 works with (a)build
